Retrieve signature instruction

View as MarkdownOpen in Claude
Use this method to retrieve information about a signature instruction. To retrieve a signature instruction, you need its signatureInstructionId. Our gateway returned the signatureInstructionId in the response of the [Submit Signature Instruction](https://docs.payroc.com/api/schema/payroc-cloud/signature-instructions/submit) method. Our gateway returns the status of the instruction. If the payment device completed the instruction, the response also includes a link to retrieve the signature.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signatureInstructionIdstringRequired1-36 characters
Unique identifier that our gateway assigned to the signature instruction.

Response

Successful request. Returns the signature instruction.
statusenum
Indicates the current status of the instruction. - `canceled` – The instruction was canceled before it was completed. - `completed` – The instruction has completed. Use the link object to check the resource. - `failure` – The instruction failed. Check the errorMessage field for more information. - `inProgress` – The instruction is currently in progress.
Allowed values:
signatureInstructionIdstring1-36 characters
Unique identifier that our gateway assigned to the instruction.
errorMessagestring

Description of the error that caused the instruction to fail.

Note: We return this field only if the status is failure.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error